Summary:	A utility to make wheel mice work under X
Name:		imwheel
Version:	1.0.0
%define pre pre12
Release:	%mkrel 0.%{pre}.2
License:	GPL
Group:		System/Kernel and hardware
BuildRequires:	X11-devel
BuildRequires:	byacc
Source:		%{name}-%{version}pre12.tar.bz2
Source2:	imwheelrc.generic
Source3:	imwheelrc.MX700

Patch0:		imwheel_1.0.0pre12-7.diff.gz
Patch1:		imwheel-1.0.0pre12-fix-debian-start-imwheel.patch

Patch10:	imwheel-1.0.0pre12-start-when-installed--and--use-option-k.patch
Patch11:	imwheel-1.0.0pre12-enable-extra-buttons-by-default.patch
Patch12:	imwheel-1.0.0pre12-add-cmdline-option-to-specify-rcfile.patch

BuildRoot:	%{_tmppath}/%{name}-root
URL:		http://imwheel.sourceforge.net/

%description 
This is imwheel, it's a program to use that good ole
Microsoft IntelliMouse Wheel under X11 on Linux.

It can be used both with XFree86 and with closed-source
commercial X-servers (for example those made by MetroLink
or Xi Graphics).

%prep

%setup -n %{name}-%{version}%{pre} -q
%patch0 -p1
%patch1 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

%build
%configure

%make 

%install
rm -rf $RPM_BUILD_ROOT

install -c -D -m 0755 imwheel $RPM_BUILD_ROOT%{_bindir}/imwheel
install -c -D -m 0644 imwheel.1 $RPM_BUILD_ROOT%{_mandir}/man1/imwheel.1x

# the default configuration
install -D -m 644 debian/startup.conf $RPM_BUILD_ROOT%{_sysconfdir}/X11/imwheel/startup.conf
install -D -m 755 debian/60imwheel_start-imwheel $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit.d/imwheel
for i in imwheelrc %{SOURCE2} %{SOURCE3}; do 
      install -D -m 644 $i $RPM_BUILD_ROOT%{_sysconfdir}/X11/imwheel/`basename $i`
done
ln -s imwheelrc.MX700 $RPM_BUILD_ROOT%{_sysconfdir}/X11/imwheel/imwheelrc.MX500
ln -s imwheelrc.MX700 $RPM_BUILD_ROOT%{_sysconfdir}/X11/imwheel/imwheelrc.MX1000

%triggerpostun -- imwheel <= 0.9.9
if [ -f /etc/X11/imwheelrc.rpmsave ]; then
   mv -f /etc/X11/imwheel/imwheelrc /etc/X11/imwheel/imwheelrc.rpmnew
   mv -f /etc/X11/imwheelrc.rpmsave /etc/X11/imwheel/imwheelrc
fi

%clean
rm -fr %buildroot


%files
%defattr(-,root,root,755)
%dir %{_sysconfdir}/X11/imwheel
%config(noreplace) %{_sysconfdir}/X11/imwheel/startup.conf
%config(noreplace) %{_sysconfdir}/X11/imwheel/imwheelrc
%{_sysconfdir}/X11/imwheel/imwheelrc.*
%{_sysconfdir}/X11/xinit.d/imwheel
%{_bindir}/imwheel
%{_mandir}/man1/*

%doc BUGS ChangeLog COPYING README EMACS


%changelog
* Tue Sep 05 2006 Pixel <pixel@mandriva.com>
+ 2006-09-05 11:12:58 (59957)
- add MX500 and MX1000 (symlinks to MX700)

* Fri Sep 01 2006 Pixel <pixel@mandriva.com>
+ 2006-09-01 16:48:09 (59375)
- new version
- launch with option "-k" to ensure previously running imwheel is killed
- handle migration from /etc/X11/imwheelrc to /etc/X11/imwheel/imwheelrc
- add optional argument --rc <rcfile> (used by mousedrake)
- drop imwheel-solo (obsolete?)
- imwheelrc.generic with binding Thumb1 and Thumb2 to Alt_L|Left and Alt_L|Right,
- imwheelrc.MX700 with binding for Logitech extra buttons
- script xinit.d/imwheel is no more a config file modifiable by user
- add debian patch (esp. to handle extra buttons, ie #10, #11...)
- use debian startup script, but fix it
- enable many buttons without using explicitly -b '4 5 6 7 8 9 10 11...'
- drop patch0 (debian patch handles it, well at least partially)
- drop gcc3.3 gcc3.4 patch2 patch3 (now unneeded)
- drop gpm-glibc2.2 patch1 and x86_64 patch4 (imwheel special gpm is no more)
- drop "improvement" patch5 (debian patch is more extensive)

* Thu Aug 31 2006 Pixel <pixel@mandriva.com>
+ 2006-08-31 14:10:37 (58981)
- Import imwheel


* Fri Feb 10 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.9.9-9mdk
- fix build on x86_64

* Wed Feb 01 2006 Lenny Cartier <lenny@mandriva.com> 0.9.9-8mdk
- from Jean Jacques Brucker <jjbrucker@free.fr> : 
	- improvement to make imwheel available to assign buttons greater than 9.
	- reporting the improvement in the man pages. 

* Fri Nov 12 2004 Stefan van der Eijk <stefan@mandrake.org> 0.9.9-7mdk
- BuildRequires: byacc

* Tue Oct  5 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.9-6mdk
- gcc-3.4 and 64-bit fixes

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.9-5mdk
- fix gcc-3.3 patch (P2)

* Wed Jul 16 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.9-4mdk
- fix gcc-3.3 build (P2)
- rm -rf $RPM_BUILD_ROOT in %%install
- macroize
- remove full path to install
- remove prefix, it's not used

* Thu Mar  7 2002 Frederic Lepied <flepied@mandrakesoft.com> 0.9.9-3mdk
- excluded Galeon and Nautilus (Goetz Waschk)

* Wed Jan 16 2002 David BAUDENS <baudens@mandrakesoft.com> 0.9.9-2mdk
- Clean after build

* Fri Nov 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.9-1mdk
- 0.9.9

* Wed Nov 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.8-9mdk
- Fix glibc2.2 compilation.

* Tue Oct 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.8-8mdk
- Exclude Mozilla, GnomeTerminal

* Fri Sep 29 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.8-7mdk
- Exclude Konqueror

* Fri Sep 22 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.8-6mdk
- don't use imwheel with XMMS (support is already builtin).
- exclude xev too.

* Fri Sep  8 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.8-5mdk
- don't use a pid file because it's not needed for the XGrab method and
prevents normal users from running after root.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.8-4mdk
- automatically added BuildRequires

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.8-3mdk
- use new macros
- BM

* Mon Jul 17 2000 Francis Galiegue <fg@mandrakesoft.com> 0.9.8-2mdk
- Fixed symlink exploit in imwheel-solo
- Lighter fix for root exploit

* Wed Apr 12 2000 Francis Galiegue <fg@mandrakesoft.com> 0.9.8-1mdk
- 0.9.8
- Removed sticky bit (huh?) for imwheel binary
- Let spec-helper do its job
- %files list fixes
- Fixed root exploit - thanks to Sebastien Bricout <seb@tuxfinder.com> for
  raising the bug.
  
* Tue Apr 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.6-10mdk
- launch imwheel from /etc/X11/xinit.d

* Mon Apr 10 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.6-9mdk
- updated URL.
- fixed group.

* Thu Mar 09 2000 Francis Galiegue <francis@mandrakesoft.com> 0.9.6-8mdk
- Minor changes to imwheelrc

* Mon Jan 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.6-7mdk
- fix build as non root.

* Mon Aug 09 1999 Peter Putzer <pputzer@linux-mandrake.com>
- fixed Vendor tag
- bzip2'ed wheel.pl & imwheelrc
- don't compile gpm-imwheel anymore, it's useless
- moved configuration file from /etc/imwheelrc to /etc/X11/imwheelrc

* Sun Aug 08 1999 Peter Putzer <pputzer@linux-mandrake.com>
- made relocatable

* Sat Aug 07 1999 Peter Putzer <pputzer@linux-mandrake.com>
- fixed some typos/mis-spellings in the spec-file
- removed the %post-install script, this can be done more
  easily by patching /etc/X11/xdm/Xsession!
- added adapted /etc/imwheelrc (to work with XEmacs and konsole)
- bzip2'ed the manpage
- moved manpage to /usr/X11R6/man/man1

* Thu Aug 05 1999 Peter Putzer <pputzer@linux-mandrake.com>
- rebuilt for Mandrake 6.0 (I'm the offical maintainer of this
  package now) 
- small fix in %post script (in case some line in Xsession is
  commented out)
- bzip2'ed the source

* Thu Jul 01 1999 Peter Putzer <putzer@kde.org>
- suidperl script for always managing pidfiles

* Sun May 02 1999 Peter Putzer <putzer@kde.org>
- fixed group fro Red Hat 6.0
- added RPM_OPT_FLAGS
- imwheel installed suid root
 
* Wed Apr 27 1999 Sean P. Kane <kane@ca.metsci.com>
- Fixed changelog so that this spec file works. 
- Therefore the entries below here may be a bit inaccurate.

* Sat Apr 10 1999 Nick Koston <bdraco@darkorb.net>
- Added the man page
- Added the support programs programs
- Packaged 0.9.6
- Removed gpm since it conflicts with the gpm package
- Changed path names to be more like redhat
